//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

/*
*******************************************************************
All examples in this support document are only intended
to improve understanding of the functionality and 
handling of the equipment. 
Beijer Electronics AB cannot assume any liability if these
examples are used in real applications.
In view of the wide range of applications for this 
equipment, users must acquire sufficient knowledge 
themselves in order to ensure that it is correctly used in 
their specific application. Persons responsible for the 
application and the equipment must themselves 
ensure that each application is in compliance with all 
relevant requirements, standards and legislation in 
respect to configuration and safety.
Beijer Electronics AB will accept no liability for any 
damage incurred during the installation or use of this 
equipment.
Beijer Electronics AB prohibits all modification, changes
or conversion of the equipment.

This sample has dependencies to internal iX-functions. It has been 
tested with version 2.xx. There are no guarantees that this sample 
will compile or work as intended in future versions of iX since the 
internal architecture may be changed.
*******************************************************************
*/

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
    //Added
	using Neo.ApplicationFramework.Common.Service;
	using Neo.ApplicationFramework.Common.Utilities;
    
    public partial class Login_Popup
    {
		ISecurityServiceCF securityService;
		/// <summary>
		/// Add Eventhandler, specify a font and populate the ComboBox
		/// </summary>
		void Login_Popup_Opened(System.Object sender, System.EventArgs e)
		{
			//Loop through all users and them in combobox
			PopulateList();
		}
		
		/// <summary>
		/// Populate the Combobox with available users
		/// </summary>
		void PopulateList()
		{
			ISecurityManager securityManager = Globals.Security as ISecurityManager;
			foreach (ISecurityUser user in securityManager.Users)
			{
				cbUsers.Items.Add(user.Username);
			}
			if(cbUsers.Items.Count > 0)
			{
				cbUsers.SelectedIndex = 0;
			}
		}
		
		/// <summary>
		/// iX Security
		/// </summary>
		private ISecurityServiceCF  SecurityService
		{
			get
			{
				if (securityService == null)
				{
					securityService = ServiceContainerCF.GetServiceSafe<ISecurityServiceCF>();
				}
				return securityService;
			}
		}
		
		/// <summary>
		/// Login User
		/// </summary>
		void btnLogin_Click(System.Object sender, System.EventArgs e)
		{
			if(	SecurityService.LoginUser(cbUsers.Text, anPassword.Value.ToString()))
			{
				securityService.ShowMessageBoxWithTimeout("User " + cbUsers.Text + " is logged in", "Login Success");
				this.Close();
			}
			else
			{				
				securityService.ShowMessageBoxWithTimeout("Wrong password - try again", "Login Failed");
			}
		}
		
		void Button_Click(System.Object sender, System.EventArgs e)
		{
			
		}

    }
}
